<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Info block for VC
 *
 */


function tt_lc_footer_info_block_shortcode_fn_vc() {

	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("Footer CTA", 'logiscargo'),
			"base" => "tt_lc_footer_info_block_shortcode",
			'description' => esc_html__( 'Block used on bottom of pages.', 'logiscargo' ),
			"category" => esc_html__('Logiscargo', 'logiscargo'),
			"params" => array(
                 array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Title', 'logiscargo' ),
                    'param_name'  => 'title',
                    'value'       => '',
                     'admin_label' => true,
                ),
				array(
					"type" => "textarea",
					"class" => "",
					"heading" => esc_html__("Content",'logiscargo'),
					"param_name" => "s_description",
					"value" => "",
			    ),
                
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Text on button', 'logiscargo' ),
                    'param_name'  => 'first_link_text',
                    'value'       => '',
                ),
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Button link', 'logiscargo' ),
                    'param_name'  => 'first_link',
                    'value'       => '',
                ),
			)
		)
	);
	
}
add_action( 'vc_before_init', 'tt_lc_footer_info_block_shortcode_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_lc_footer_info_block_shortcode extends WPBakeryShortCode {
	}
}